package pay.platform.api.system.servcie.impl;


import org.springframework.stereotype.Service;
import pay.platform.api.system.servcie.PayAgentService;
import pay.platform.core.common.domain.BaseService;
import pay.platform.core.util.PasswordUtil;
import pay.platform.domain.PayAgent;
import pay.platform.mapper.PayAgentMapper;

/**
 * 代理系统 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayAgentServiceImpl extends BaseService<PayAgentMapper, PayAgent> implements PayAgentService {

    @Override
    public boolean saveAgent(PayAgent payAgent) {
        payAgent.setPassword(PasswordUtil.encoder(payAgent.getPassword()));
        return save(payAgent);
    }
}